Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class UserStyle

    java.lang.Object
      org.deegree.graphics.sld.AbstractStyle
          org.deegree.graphics.sld.UserStyle

All Implemented Interfaces:
  Marshallable

    public class UserStyle

extends AbstractStyle
implements Marshallable

A user-defined allows map styling to be defined externally from a system and to be passed around in an interoperable format.

A UserStyle is at the same semantic level as a NamedStyle used in the context of a WMS. In a sense, a named style can be thought of as a reference to a hidden UserStyle that is stored inside of a map server.

Version:
  $Revision: 21626 $ $Date: 2009-12-22 16:44:23 +0100 (Di, 22. Dez 2009) $
Author:
  Katharina Lupp, last edited by: $Author: apoth $

Field Summary

Fields inherited from class org.deegree.graphics.sld.AbstractStyle
`name`

Constructor Summary
`UserStyle(String name, String title, String abstract_, boolean default_, FeatureTypeStyle[] featureTypeStyles)` constructor initializing the class with the

Method Summary
`void` | `addFeatureTypeStyle(FeatureTypeStyle featureTypeStyle)` Adds a <FeatureTypeStyle>
`String` | `exportAsXML()` exports the content of the UserStyle as XML formated String
`String` | `getAbstract()` the Abstract is a more exact description that may be a few paragraphs long.
`FeatureTypeStyle[]` | `getFeatureTypeStyles()` A UserStyle can contain one or more FeatureTypeStyles which allow the rendering of features of specific types.
`String` | `getTitle()` The Title is a human-readable short description for the style that might be displayed in a GUI pick list.
`boolean` | `isDefault()` The IsDefault element identifies whether a style is the default style of a layer, for use in SLD library mode when rendering or for storing inside of a map server.
`void` | `removeFeatureTypeStyle(FeatureTypeStyle featureTypeStyle)` Removes a <FeatureTypeStyle>
`void` | `setAbstract(String abstract_)` sets the <Abstract>
`void` | `setDefault(boolean default_)` sets the <Default>
`void` | `setFeatureTypeStyles(FeatureTypeStyle[] featureTypeStyles)` sets the <FeatureTypeStyle>
`void` | `setTitle(String title)` sets the <Title>

Methods inherited from class org.deegree.graphics.sld.AbstractStyle
`getName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserStyle

    UserStyle(String name,
              String title,
              String abstract_,
              boolean default_,
              FeatureTypeStyle[] featureTypeStyles)

  constructor initializing the class with the

  Parameters:
    `name` -
    `title` -
    `abstract_` -
    `default_` -
    `featureTypeStyles` -

Method Detail

### getTitle

    public String getTitle()

  The Title is a human-readable short description for the style that might be displayed in a GUI pick list.

  Returns:
    the title of the User-AbstractStyle

### setTitle

    public void setTitle(String title)

  sets the <Title>

  Parameters:
    `title` - the title of the User-AbstractStyle

### getAbstract

    public String getAbstract()

  the Abstract is a more exact description that may be a few paragraphs long.

  Returns:
    the abstract of the User-AbstractStyle

### setAbstract

    public void setAbstract(String abstract_)

  sets the <Abstract>

  Parameters:
    `abstract_` - the abstract of the User-AbstractStyle

### isDefault

    public boolean isDefault()

  The IsDefault element identifies whether a style is the default style of a layer, for use in SLD library mode when rendering or for storing inside of a map server. The default value is `false`.

  Returns:
    true if the style ist the default style

### setDefault

    public void setDefault(boolean default_)

  sets the <Default>

  Parameters:
    `default_` -

### getFeatureTypeStyles

    public FeatureTypeStyle[] getFeatureTypeStyles()

  A UserStyle can contain one or more FeatureTypeStyles which allow the rendering of features of specific types.

  The FeatureTypeStyle defines the styling that is to be applied to a single feature type of a layer.

  The FeatureTypeStyle element identifies that explicit separation in SLD between the handling of layers and the handling of features of specific feature types. The layer concept is unique to WMS and SLD, but features are used more generally, such as in WFS and GML, so this explicit separation is important.

  Returns:
    the FeatureTypeStyles of a User-AbstractStyle

### setFeatureTypeStyles

    public void setFeatureTypeStyles(FeatureTypeStyle[] featureTypeStyles)

  sets the <FeatureTypeStyle>

  Parameters:
    `featureTypeStyles` - the FeatureTypeStyles of a User-AbstractStyle

### addFeatureTypeStyle

    public void addFeatureTypeStyle(FeatureTypeStyle featureTypeStyle)

  Adds a <FeatureTypeStyle>

  Parameters:
    `featureTypeStyle` - a FeatureTypeStyle to add

### removeFeatureTypeStyle

    public void removeFeatureTypeStyle(FeatureTypeStyle featureTypeStyle)

  Removes a <FeatureTypeStyle>

  Parameters:
    `featureTypeStyle` -

### exportAsXML

    public String exportAsXML()

  exports the content of the UserStyle as XML formated String

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the UserStyle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org